# 22_23-J 12

#Main objective

Providing a web-based application with ML-based predictors and knowledge base chatbot system for assisting patients with Breast cancers.


#Main Research questions

The second-leading cause of cancer-related death among women worldwide is breast cancer. The World Health Organization estimates that by 2021, breast cancer has become the most common form of cancer worldwide. Breast cancer accounts for 12% of all cancer cases recorded globally. Currently, the prevalence of this condition, which primarily affects women, is relatively high in South Africa and Asia. In 2020, out of 29604 cancer patients in Sri Lanka, 3915(13.4%) people have been diagnosed with this breast cancer. It is crucial to detect breast cancer as early as possible.
•	Currently there is not used imaging features extracted from Mammography and a machine-learning method to differentiate breast cancer tumors either benign or malignant.
•	there has been no proper study using a large amount of patient data on how those risk factors affect the patients and which are the critical factors and the correlation between the factors
•	There is no hierarchical machine learning system that analyzes, identifies, and predicts the relationship between the survival of patients who have undergone a specific therapy and the treatment that affects survival in a given time period. 
•	women not having awareness of breast cancer, current knowledge of breast cancer, breast cancer symptoms at different stages, difficulty in discussing this with medical experts and lack of easy access to information would be cause to rise of the breast cancer death rates and delay in getting necessary medical advice and treatments on time.

#Individual research question

1. It is crucial to detect breast cancer as early as possible. Mammography has become one of the most important methods for detecting breast cancer early. Masses and microcalcifications (MCs) are two early symptoms of the disease. A mass could be benign or malignant. Due to the high cost of full breast cancer genetic analysis, it is not currently conducted periodically.  Currently there is not used imaging features extracted from Mammography and a machine-learning method to differentiate breast cancer tumors either benign or malignant.
2. There are several tests to detect breast cancers after they develop cancers. The Cancer Antigen test has been basically utilized in breast cancer identification. And also, MRI used to identify breast cancer. When cancer develops in the body and is detected later, the patient's condition can be serious. Therefore, it is very important to know the possibility of developing cancer before it develops. There are various factors that affect breast cancer. But there has been no proper study using a large amount of patient data on how those risk factors affect the patients and which are the critical factors and the correlation between the factors. Due to this, there is no proper knowledge among patients as well as non-patients about the factors affecting the disease and that has contributed to the spread of this deadly disease.
3. Currently, there are many treatment methods for breast cancer patients, and each treatment method determines the patient's ability to live and inability to survive. There is no proper system to obtain information about positive results and non-positive results that can be obtained through treatment methods that are specific to the patients themselves. There is no hierarchical machine learning system that analyzes, identifies and predict the relationship between the survival of patients who have undergone a specific therapy and the treatment that affects survival in given time of period. 
4. Problems such as women not having awareness of breast cancer, current knowledge of breast cancer, breast cancer symptoms at different stages, difficulty in discussing this with medical experts and lack of easy access to information would be caused to rise of the breast cancer death rates and delay in getting necessary medical advice and treatments on time.



#Individual Objectives

Member 1 - A Machine Learning Approach for classifying benign and malignant mass tumors in breast mammography image of breast cancer patients using deep convolutional neural networks and support vector machines
•	Mammography image enhancement
•	Mammography image segmentation
•	Feature extraction
•	Classification
•	Evaluation classifier
Member 2 -A Machine Learning Approach for predicting patient status, identifying critical factors and co-relation between factors.
•	Analyze patient data and identifying critical risk factors.
•	Build various ML model to classify risk factors.
•	Find and evaluate best model for risk prediction.
•	Predict the status of the patient. (possibility of developing cancer.)
Member 3 -A Machine Learning Approach for Evaluating survivability of patient using treatment of breast cancer.
•	Analyze clinical data and identifying Treatment type.
•	Build ML model to classify Treatment.
•	Evaluate survivability of patient using treatment.
Member 4- A Knowledge based chatbot for getting information and advice about breast cancer.
•	Using patient data and data obtained by specialist doctors, identify the cancer early symptoms information and other related information. 
•	Build knowledge-based questions and their corresponding answer probability matches.
•	Develop chat bot using training data set.
•	Develop chat bot for further enhanced so that admins can enter new data for knowledge base.

#Other necessary information

Technologies to be used:
•	Machine Learning 
•	Neural Network (CNN, RNN) 
•	React Js
•	Node Js
•	Python and python libraries
•	Rasa Nlu framework


